<?php
$tdatatm_user = array();
$tdatatm_user[".searchableFields"] = array();
$tdatatm_user[".ShortName"] = "tm_user";
$tdatatm_user[".OwnerID"] = "no_hp";
$tdatatm_user[".OriginalTable"] = "tm_user";


$tdatatm_user[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"]}" );
$tdatatm_user[".originalPagesByType"] = $tdatatm_user[".pagesByType"];
$tdatatm_user[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"]}" ) );
$tdatatm_user[".originalPages"] = $tdatatm_user[".pages"];
$tdatatm_user[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\"}" );
$tdatatm_user[".originalDefaultPages"] = $tdatatm_user[".defaultPages"];

//	field labels
$fieldLabelstm_user = array();
$fieldToolTipstm_user = array();
$pageTitlestm_user = array();
$placeHolderstm_user = array();

if(mlang_getcurrentlang()=="Indonesian")
{
	$fieldLabelstm_user["Indonesian"] = array();
	$fieldToolTipstm_user["Indonesian"] = array();
	$placeHolderstm_user["Indonesian"] = array();
	$pageTitlestm_user["Indonesian"] = array();
	$fieldLabelstm_user["Indonesian"]["username"] = "Username";
	$fieldToolTipstm_user["Indonesian"]["username"] = "";
	$placeHolderstm_user["Indonesian"]["username"] = "Minimal 5 huruf";
	$fieldLabelstm_user["Indonesian"]["passwd"] = "Password";
	$fieldToolTipstm_user["Indonesian"]["passwd"] = "";
	$placeHolderstm_user["Indonesian"]["passwd"] = "Minimal 8 karakter dengan 2 huruf atau simbol";
	$fieldLabelstm_user["Indonesian"]["fullname"] = "Nama Lengkap";
	$fieldToolTipstm_user["Indonesian"]["fullname"] = "";
	$placeHolderstm_user["Indonesian"]["fullname"] = "Nama lengkap orang tua / wali";
	$fieldLabelstm_user["Indonesian"]["email"] = "Email";
	$fieldToolTipstm_user["Indonesian"]["email"] = "";
	$placeHolderstm_user["Indonesian"]["email"] = "Email aktif";
	$fieldLabelstm_user["Indonesian"]["calon_peserta_didik"] = "Calon Peserta Didik";
	$fieldToolTipstm_user["Indonesian"]["calon_peserta_didik"] = "";
	$placeHolderstm_user["Indonesian"]["calon_peserta_didik"] = "Nama lengkap calon peserta didik";
	$fieldLabelstm_user["Indonesian"]["tempat_lahir"] = "Tempat & Tanggal Lahir";
	$fieldToolTipstm_user["Indonesian"]["tempat_lahir"] = "";
	$placeHolderstm_user["Indonesian"]["tempat_lahir"] = "Tempat lahir calon peserta didik";
	$fieldLabelstm_user["Indonesian"]["tanggal_lahir"] = "Tanggal Lahir";
	$fieldToolTipstm_user["Indonesian"]["tanggal_lahir"] = "";
	$placeHolderstm_user["Indonesian"]["tanggal_lahir"] = "";
	$fieldLabelstm_user["Indonesian"]["nama_orang_tua"] = "Nama Orang Tua / Wali";
	$fieldToolTipstm_user["Indonesian"]["nama_orang_tua"] = "";
	$placeHolderstm_user["Indonesian"]["nama_orang_tua"] = "Nama lengkap orang tua / wali";
	$fieldLabelstm_user["Indonesian"]["no_hp"] = "No. HP Orang Tua / Wali";
	$fieldToolTipstm_user["Indonesian"]["no_hp"] = "";
	$placeHolderstm_user["Indonesian"]["no_hp"] = "No. HP orang tua / wali";
	$fieldLabelstm_user["Indonesian"]["info_ppdb_dari"] = "Info PPDB dari";
	$fieldToolTipstm_user["Indonesian"]["info_ppdb_dari"] = "";
	$placeHolderstm_user["Indonesian"]["info_ppdb_dari"] = "";
	$fieldLabelstm_user["Indonesian"]["group_id"] = "Group Id";
	$fieldToolTipstm_user["Indonesian"]["group_id"] = "";
	$placeHolderstm_user["Indonesian"]["group_id"] = "";
	$fieldLabelstm_user["Indonesian"]["user_creator"] = "User Creator";
	$fieldToolTipstm_user["Indonesian"]["user_creator"] = "";
	$placeHolderstm_user["Indonesian"]["user_creator"] = "";
	$fieldLabelstm_user["Indonesian"]["date_created"] = "Date Created";
	$fieldToolTipstm_user["Indonesian"]["date_created"] = "";
	$placeHolderstm_user["Indonesian"]["date_created"] = "";
	$fieldLabelstm_user["Indonesian"]["active"] = "Active";
	$fieldToolTipstm_user["Indonesian"]["active"] = "";
	$placeHolderstm_user["Indonesian"]["active"] = "";
	$fieldLabelstm_user["Indonesian"]["reset_token"] = "Reset Token";
	$fieldToolTipstm_user["Indonesian"]["reset_token"] = "";
	$placeHolderstm_user["Indonesian"]["reset_token"] = "";
	$fieldLabelstm_user["Indonesian"]["reset_date"] = "Reset Date";
	$fieldToolTipstm_user["Indonesian"]["reset_date"] = "";
	$placeHolderstm_user["Indonesian"]["reset_date"] = "";
	$fieldLabelstm_user["Indonesian"]["id"] = "ID";
	$fieldToolTipstm_user["Indonesian"]["id"] = "";
	$placeHolderstm_user["Indonesian"]["id"] = "";
	if (count($fieldToolTipstm_user["Indonesian"]))
		$tdatatm_user[".isUseToolTips"] = true;
}


	$tdatatm_user[".NCSearch"] = true;



$tdatatm_user[".shortTableName"] = "tm_user";
$tdatatm_user[".nSecOptions"] = 1;

$tdatatm_user[".mainTableOwnerID"] = "no_hp";
$tdatatm_user[".entityType"] = 0;
$tdatatm_user[".connId"] = "ppdbmij_at_localhost";


$tdatatm_user[".strOriginalTableName"] = "tm_user";

	



$tdatatm_user[".showAddInPopup"] = false;

$tdatatm_user[".showEditInPopup"] = false;

$tdatatm_user[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatm_user[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatm_user[".listAjax"] = false;
//	temporary
$tdatatm_user[".listAjax"] = false;

	$tdatatm_user[".audit"] = false;

	$tdatatm_user[".locking"] = false;


$pages = $tdatatm_user[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatm_user[".edit"] = true;
	$tdatatm_user[".afterEditAction"] = 1;
	$tdatatm_user[".closePopupAfterEdit"] = 1;
	$tdatatm_user[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatm_user[".add"] = true;
$tdatatm_user[".afterAddAction"] = 1;
$tdatatm_user[".closePopupAfterAdd"] = 1;
$tdatatm_user[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatm_user[".list"] = true;
}



$tdatatm_user[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatm_user[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatm_user[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatm_user[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatm_user[".printFriendly"] = true;
}



$tdatatm_user[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatm_user[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatm_user[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatm_user[".isUseAjaxSuggest"] = true;

$tdatatm_user[".rowHighlite"] = true;





$tdatatm_user[".ajaxCodeSnippetAdded"] = false;

$tdatatm_user[".buttonsAdded"] = false;

$tdatatm_user[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatm_user[".isUseTimeForSearch"] = false;


$tdatatm_user[".badgeColor"] = "7b68ee";


$tdatatm_user[".allSearchFields"] = array();
$tdatatm_user[".filterFields"] = array();
$tdatatm_user[".requiredSearchFields"] = array();

$tdatatm_user[".googleLikeFields"] = array();
$tdatatm_user[".googleLikeFields"][] = "id";
$tdatatm_user[".googleLikeFields"][] = "username";
$tdatatm_user[".googleLikeFields"][] = "passwd";
$tdatatm_user[".googleLikeFields"][] = "fullname";
$tdatatm_user[".googleLikeFields"][] = "email";
$tdatatm_user[".googleLikeFields"][] = "calon_peserta_didik";
$tdatatm_user[".googleLikeFields"][] = "tempat_lahir";
$tdatatm_user[".googleLikeFields"][] = "tanggal_lahir";
$tdatatm_user[".googleLikeFields"][] = "nama_orang_tua";
$tdatatm_user[".googleLikeFields"][] = "no_hp";
$tdatatm_user[".googleLikeFields"][] = "info_ppdb_dari";
$tdatatm_user[".googleLikeFields"][] = "group_id";
$tdatatm_user[".googleLikeFields"][] = "user_creator";
$tdatatm_user[".googleLikeFields"][] = "date_created";
$tdatatm_user[".googleLikeFields"][] = "active";
$tdatatm_user[".googleLikeFields"][] = "reset_token";
$tdatatm_user[".googleLikeFields"][] = "reset_date";



$tdatatm_user[".tableType"] = "list";

$tdatatm_user[".printerPageOrientation"] = 0;
$tdatatm_user[".nPrinterPageScale"] = 100;

$tdatatm_user[".nPrinterSplitRecords"] = 40;

$tdatatm_user[".geocodingEnabled"] = false;










$tdatatm_user[".pageSize"] = 20;

$tdatatm_user[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatm_user[".strOrderBy"] = $tstrOrderBy;

$tdatatm_user[".orderindexes"] = array();


$tdatatm_user[".sqlHead"] = "SELECT id,  	username,  	passwd,  	fullname,  	email,  	calon_peserta_didik,  	tempat_lahir,  	tanggal_lahir,  	nama_orang_tua,  	no_hp,  	info_ppdb_dari,  	group_id,  	user_creator,  	date_created,  	active,  	reset_token,  	reset_date";
$tdatatm_user[".sqlFrom"] = "FROM tm_user";
$tdatatm_user[".sqlWhereExpr"] = "";
$tdatatm_user[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatm_user[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatm_user[".arrGroupsPerPage"] = $arrGPP;

$tdatatm_user[".highlightSearchResults"] = true;

$tableKeystm_user = array();
$tableKeystm_user[] = "username";
$tdatatm_user[".Keys"] = $tableKeystm_user;


$tdatatm_user[".hideMobileList"] = array();
		$tdatatm_user[".hideMobileList"][1] = array();
$tdatatm_user[".hideMobileList"][1]["group_id"] = true;
		$tdatatm_user[".hideMobileList"][1]["user_creator"] = true;
		$tdatatm_user[".hideMobileList"][1]["date_created"] = true;
		$tdatatm_user[".hideMobileList"][1]["active"] = true;
		$tdatatm_user[".hideMobileList"][1]["reset_token"] = true;
		$tdatatm_user[".hideMobileList"][1]["reset_date"] = true;
		$tdatatm_user[".hideMobileList"][5] = array();
$tdatatm_user[".hideMobileList"][5]["group_id"] = true;
		$tdatatm_user[".hideMobileList"][5]["user_creator"] = true;
		$tdatatm_user[".hideMobileList"][5]["date_created"] = true;
		$tdatatm_user[".hideMobileList"][5]["active"] = true;
		$tdatatm_user[".hideMobileList"][5]["reset_token"] = true;
		$tdatatm_user[".hideMobileList"][5]["reset_date"] = true;




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["id"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "id";
//	username
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "username";
	$fdata["GoodName"] = "username";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","username");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "username";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "username";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["username"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "username";
//	passwd
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "passwd";
	$fdata["GoodName"] = "passwd";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","passwd");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "passwd";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "passwd";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Password");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Password");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["passwd"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "passwd";
//	fullname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "fullname";
	$fdata["GoodName"] = "fullname";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","fullname");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fullname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fullname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["fullname"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "fullname";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=70";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["email"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "email";
//	calon_peserta_didik
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "calon_peserta_didik";
	$fdata["GoodName"] = "calon_peserta_didik";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","calon_peserta_didik");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "calon_peserta_didik";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "calon_peserta_didik";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["calon_peserta_didik"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "calon_peserta_didik";
//	tempat_lahir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tempat_lahir";
	$fdata["GoodName"] = "tempat_lahir";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","tempat_lahir");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tempat_lahir";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tempat_lahir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["tempat_lahir"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "tempat_lahir";
//	tanggal_lahir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "tanggal_lahir";
	$fdata["GoodName"] = "tanggal_lahir";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","tanggal_lahir");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tanggal_lahir";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tanggal_lahir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 12;
	$edata["InitialYearFactor"] = 8;
	$edata["LastYearFactor"] = 0;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["tanggal_lahir"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "tanggal_lahir";
//	nama_orang_tua
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "nama_orang_tua";
	$fdata["GoodName"] = "nama_orang_tua";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","nama_orang_tua");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nama_orang_tua";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nama_orang_tua";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["nama_orang_tua"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "nama_orang_tua";
//	no_hp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "no_hp";
	$fdata["GoodName"] = "no_hp";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","no_hp");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "no_hp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "no_hp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=13";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["no_hp"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "no_hp";
//	info_ppdb_dari
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "info_ppdb_dari";
	$fdata["GoodName"] = "info_ppdb_dari";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","info_ppdb_dari");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "info_ppdb_dari";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "info_ppdb_dari";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Website";
	$edata["LookupValues"][] = "Saudara";
	$edata["LookupValues"][] = "Teman";
	$edata["LookupValues"][] = "Alumni";
	$edata["LookupValues"][] = "Lainnya";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["info_ppdb_dari"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "info_ppdb_dari";
//	group_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "group_id";
	$fdata["GoodName"] = "group_id";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","group_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "group_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "group_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["group_id"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "group_id";
//	user_creator
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "user_creator";
	$fdata["GoodName"] = "user_creator";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","user_creator");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user_creator";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "user_creator";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["user_creator"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "user_creator";
//	date_created
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "date_created";
	$fdata["GoodName"] = "date_created";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","date_created");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_created";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_created";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["date_created"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "date_created";
//	active
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "active";
	$fdata["GoodName"] = "active";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","active");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "active";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "active";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["active"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "active";
//	reset_token
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "reset_token";
	$fdata["GoodName"] = "reset_token";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","reset_token");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "reset_token";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reset_token";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["reset_token"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "reset_token";
//	reset_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "reset_date";
	$fdata["GoodName"] = "reset_date";
	$fdata["ownerTable"] = "tm_user";
	$fdata["Label"] = GetFieldLabel("tm_user","reset_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "reset_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reset_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatm_user["reset_date"] = $fdata;
		$tdatatm_user[".searchableFields"][] = "reset_date";


$tables_data["tm_user"]=&$tdatatm_user;
$field_labels["tm_user"] = &$fieldLabelstm_user;
$fieldToolTips["tm_user"] = &$fieldToolTipstm_user;
$placeHolders["tm_user"] = &$placeHolderstm_user;
$page_titles["tm_user"] = &$pageTitlestm_user;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tm_user"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tm_user"] = array();



	
				$strOriginalDetailsTable="formppdbra";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="formppdbra";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "formppdbra";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tm_user"][0] = $masterParams;
				$masterTablesData["tm_user"][0]["masterKeys"] = array();
	$masterTablesData["tm_user"][0]["masterKeys"][]="no_tlp_rumah";
				$masterTablesData["tm_user"][0]["detailKeys"] = array();
	$masterTablesData["tm_user"][0]["detailKeys"][]="no_hp";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_tm_user()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	username,  	passwd,  	fullname,  	email,  	calon_peserta_didik,  	tempat_lahir,  	tanggal_lahir,  	nama_orang_tua,  	no_hp,  	info_ppdb_dari,  	group_id,  	user_creator,  	date_created,  	active,  	reset_token,  	reset_date";
$proto0["m_strFrom"] = "FROM tm_user";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "tm_user";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "username",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto8["m_sql"] = "username";
$proto8["m_srcTableName"] = "tm_user";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "passwd",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto10["m_sql"] = "passwd";
$proto10["m_srcTableName"] = "tm_user";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "fullname",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto12["m_sql"] = "fullname";
$proto12["m_srcTableName"] = "tm_user";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto14["m_sql"] = "email";
$proto14["m_srcTableName"] = "tm_user";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "calon_peserta_didik",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto16["m_sql"] = "calon_peserta_didik";
$proto16["m_srcTableName"] = "tm_user";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tempat_lahir",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto18["m_sql"] = "tempat_lahir";
$proto18["m_srcTableName"] = "tm_user";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "tanggal_lahir",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto20["m_sql"] = "tanggal_lahir";
$proto20["m_srcTableName"] = "tm_user";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "nama_orang_tua",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto22["m_sql"] = "nama_orang_tua";
$proto22["m_srcTableName"] = "tm_user";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "no_hp",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto24["m_sql"] = "no_hp";
$proto24["m_srcTableName"] = "tm_user";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "info_ppdb_dari",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto26["m_sql"] = "info_ppdb_dari";
$proto26["m_srcTableName"] = "tm_user";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "group_id",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto28["m_sql"] = "group_id";
$proto28["m_srcTableName"] = "tm_user";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "user_creator",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto30["m_sql"] = "user_creator";
$proto30["m_srcTableName"] = "tm_user";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "date_created",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto32["m_sql"] = "date_created";
$proto32["m_srcTableName"] = "tm_user";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "active",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto34["m_sql"] = "active";
$proto34["m_srcTableName"] = "tm_user";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "reset_token",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto36["m_sql"] = "reset_token";
$proto36["m_srcTableName"] = "tm_user";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "reset_date",
	"m_strTable" => "tm_user",
	"m_srcTableName" => "tm_user"
));

$proto38["m_sql"] = "reset_date";
$proto38["m_srcTableName"] = "tm_user";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto40=array();
$proto40["m_link"] = "SQLL_MAIN";
			$proto41=array();
$proto41["m_strName"] = "tm_user";
$proto41["m_srcTableName"] = "tm_user";
$proto41["m_columns"] = array();
$proto41["m_columns"][] = "id";
$proto41["m_columns"][] = "username";
$proto41["m_columns"][] = "passwd";
$proto41["m_columns"][] = "fullname";
$proto41["m_columns"][] = "email";
$proto41["m_columns"][] = "calon_peserta_didik";
$proto41["m_columns"][] = "tempat_lahir";
$proto41["m_columns"][] = "tanggal_lahir";
$proto41["m_columns"][] = "nama_orang_tua";
$proto41["m_columns"][] = "no_hp";
$proto41["m_columns"][] = "info_ppdb_dari";
$proto41["m_columns"][] = "group_id";
$proto41["m_columns"][] = "user_creator";
$proto41["m_columns"][] = "date_created";
$proto41["m_columns"][] = "active";
$proto41["m_columns"][] = "reset_token";
$proto41["m_columns"][] = "reset_date";
$obj = new SQLTable($proto41);

$proto40["m_table"] = $obj;
$proto40["m_sql"] = "tm_user";
$proto40["m_alias"] = "";
$proto40["m_srcTableName"] = "tm_user";
$proto42=array();
$proto42["m_sql"] = "";
$proto42["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto42["m_column"]=$obj;
$proto42["m_contained"] = array();
$proto42["m_strCase"] = "";
$proto42["m_havingmode"] = false;
$proto42["m_inBrackets"] = false;
$proto42["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto42);

$proto40["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto40);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tm_user";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tm_user = createSqlQuery_tm_user();


	
		;

																	

$tdatatm_user[".sqlquery"] = $queryData_tm_user;



$tableEvents["tm_user"] = new eventsBase;
$tdatatm_user[".hasEvents"] = false;

?>